<?php
namespace Claromentis\Setup;

$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("_b742a00ae87756" . "f850c77e0daf4e7" . "a3a" => base64_decode("Cg=" . "="), "_70809333a0f254acf7a" . "1ad0c7dadd46b" => base64_decode("OiA" . "="), "_bd71c3b5c201fc11db82ed14ce4" . "24de5" => base64_decode("aW5fYXJyYXk" . "="), "_24f5487bd60ba6b" . "30d6285c791a3246" . "0" => base64_decode("c3RyX3BhZ" . "A=="), "_74923e1c0049a84fd02" . "0d96f8ae0645d" => base64_decode("SW5m" . "bw=="), "_0f10830288c813de1859" . "9c12f76694b3" => base64_decode("RGVid" . "Wc="), "_a08b13e5439bf1e" . "1258f60e9380f41a" . "e" => base64_decode("RGV0Y" . "Wls"), "_e2670a71b06053" . "45f16f2b7a8edd4" . "a21" => base64_decode("dWNmaXJzd" . "A=="));
use Psr\Log\LoggerInterface;
use Psr\Log\LoggerTrait;
use Psr\Log\LogLevel;






class Logger implements LoggerInterface
{
    use LoggerTrait;
    protected $levels = [];
    public function __construct()
    {
        $this->setLogLevel(LogLevel::NOTICE);
    }
    
    
    
    
    
    
    
    
    
    
    public function log($level, $message, array $context = array())
    {
        if (!$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_bd71c3b5c201fc11db82ed14ce424d" . "e5"]($level, $this->levels)) {
            return;
        }
        switch ($level) {
            case \Psr\Log\LogLevel::EMERGENCY:
            case \Psr\Log\LogLevel::ALERT:
            case \Psr\Log\LogLevel::CRITICAL:
            case \Psr\Log\LogLevel::ERROR:
            case \Psr\Log\LogLevel::WARNING:
                $prefix = $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_e2670a71b" . "0605345f16" . "f2b7a8edd4" . "a21"]($level);
                break;
            case \Psr\Log\LogLevel::NOTICE:
            default:
                $prefix = $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_74923e1c0049a84fd020d96f" . "8ae0645d"];
                break;
            case \Psr\Log\LogLevel::INFO:
                $prefix = $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_a08b13e5439bf1e1258f60e938" . "0f41ae"];
                break;
            case \Psr\Log\LogLevel::DEBUG:
                $prefix = $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_0f10830288c813d" . "e18599c12f76694b" . "3"];
                break;
        }
        echo $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_24f5487bd60ba6b30d6285c791" . "a32460"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_e2670a71b0" . "605345f16f2" . "b7a8edd4a21"]($prefix), 6) . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_70809333a0f254ac" . "f7a1ad0c7dadd46b"] . $message . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_b742a00ae87756f850c" . "77e0daf4e7a3a"];
    }
    public function setLogLevel($_4eff911a7d895b5233a9a2ffeefd84f9 = LogLevel::NOTICE)
    {
        $this->levels = [];
        switch ($_4eff911a7d895b5233a9a2ffeefd84f9) {
            case \Psr\Log\LogLevel::DEBUG:
                $this->levels[] = \Psr\Log\LogLevel::DEBUG;
            case \Psr\Log\LogLevel::INFO:
                $this->levels[] = \Psr\Log\LogLevel::INFO;
            case \Psr\Log\LogLevel::NOTICE:
                $this->levels[] = \Psr\Log\LogLevel::NOTICE;
            case \Psr\Log\LogLevel::WARNING:
                $this->levels[] = \Psr\Log\LogLevel::WARNING;
            case \Psr\Log\LogLevel::ERROR:
                $this->levels[] = \Psr\Log\LogLevel::ERROR;
        }
        $this->levels[] = \Psr\Log\LogLevel::CRITICAL;
        $this->levels[] = \Psr\Log\LogLevel::ALERT;
        $this->levels[] = \Psr\Log\LogLevel::EMERGENCY;
    }
}